Intermittent marionette.py | application crashed [@ mozalloc_abort(char const*) | libsystem_pthread.dylib!_pthread_tsd_cleanup]

RESOLVED INCOMPLETE

Status

NSPR
NSPR
--
critical
RESOLVED INCOMPLETE
11 months ago
7 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

This is happening because the Firefox process crashed. Reading the stacktrace I'm not sure which frame exactly is causing this but I think something in the threading code, maybe exit()?

Stack:

17:44:51     INFO - Operating system: Mac OS X
17:44:51     INFO -                   10.10.5 14F27
17:44:51     INFO - CPU: amd64
17:44:51     INFO -      family 6 model 69 stepping 1
17:44:51     INFO -      4 CPUs
17:44:51     INFO - 
17:44:51     INFO - GPU: UNKNOWN
17:44:51     INFO - 
17:44:51     INFO - Crash reason:  EXC_BAD_ACCESS / KERN_INVALID_ADDRESS
17:44:51     INFO - Crash address: 0x0
17:44:51     INFO - Process uptime: 51 seconds
17:44:51     INFO - 
17:44:51     INFO - Thread 5 (crashed)
17:44:51     INFO -  0  libmozglue.dylib!mozalloc_abort(char const*) [mozalloc_abort.cpp:4ceb9062ea8f : 33 + 0x0]
17:44:51     INFO -     rax = 0x0000000000000000   rdx = 0x00007fff770341f8
17:44:51     INFO -     rcx = 0x0000000000000000   rbx = 0x00007fff77034c50
17:44:51     INFO -     rsi = 0x00003c0000003c00   rdi = 0x00003b0000003c03
17:44:51     INFO -     rbp = 0x0000000117ed5e20   rsp = 0x0000000117ed5e10
17:44:51     INFO -      r8 = 0x0000000117ed5dc0    r9 = 0x0000000117ed6000
17:44:51     INFO -     r10 = 0x0000000000000000   r11 = 0x0000000000000246
17:44:51     INFO -     r12 = 0x000000010f281074   r13 = 0x00007fff77034c50
17:44:51     INFO -     r14 = 0x0000000000000366   r15 = 0x000000010f284fd9
17:44:51     INFO -     rip = 0x00000001159374f9
17:44:51     INFO -     Found by: given as instruction pointer in context
17:44:51     INFO -  1  libmozglue.dylib!abort [mozalloc_abort.cpp:4ceb9062ea8f : 80 + 0xc]
17:44:51     INFO -     rbx = 0x000000010f28173f   rbp = 0x0000000117ed5e30
17:44:51     INFO -     rsp = 0x0000000117ed5e30   r12 = 0x000000010f281074
17:44:51     INFO -     r13 = 0x00007fff77034c50   r14 = 0x0000000000000366
17:44:51     INFO -     r15 = 0x000000010f284fd9   rip = 0x0000000115937560
17:44:51     INFO -     Found by: call frame info
17:44:51     INFO -  2  libnss3.dylib!PR_Assert [prlog.c:4ceb9062ea8f : 553 + 0x5]
17:44:51     INFO -     rbx = 0x000000010f28173f   rbp = 0x0000000117ed5e70
17:44:51     INFO -     rsp = 0x0000000117ed5e40   r12 = 0x000000010f281074
17:44:51     INFO -     r13 = 0x00007fff77034c50   r14 = 0x0000000000000366
17:44:51     INFO -     r15 = 0x000000010f284fd9   rip = 0x000000010f16b85d
17:44:51     INFO -     Found by: call frame info
17:44:51     INFO -  3  libsystem_pthread.dylib!_pthread_tsd_cleanup + 0x56
17:44:51     INFO -     rbx = 0x0000000000000106   rbp = 0x0000000117ed5ea0
17:44:51     INFO -     rsp = 0x0000000117ed5e80   r12 = 0x0000000117ed6000
17:44:51     INFO -     r13 = 0x00000000000008ff   r14 = 0x00007fff76348c40
17:44:51     INFO -     r15 = 0x0000000000000000   rip = 0x00007fff8d7e8739
17:44:51     INFO -     Found by: call frame info
17:44:51     INFO -  4  libsystem_pthread.dylib!_pthread_exit + 0x75
17:44:51     INFO -     rbp = 0x0000000117ed5ef0   rsp = 0x0000000117ed5eb0
17:44:51     INFO -     rip = 0x00007fff8d7e8460
17:44:51     INFO -     Found by: previous frame's frame pointer
17:44:51     INFO -  5  libsystem_pthread.dylib!_pthread_body + 0x8e
17:44:51     INFO -     rbp = 0x0000000117ed5f10   rsp = 0x0000000117ed5f00
17:44:51     INFO -     rip = 0x00007fff8d7e9065
17:44:51     INFO -     Found by: previous frame's frame pointer
17:44:51     INFO -  6  libsystem_pthread.dylib!_pthread_start + 0xb0
17:44:51     INFO -     rbp = 0x0000000117ed5f50   rsp = 0x0000000117ed5f20
17:44:51     INFO -     rip = 0x00007fff8d7e8fd7
17:44:51     INFO -     Found by: previous frame's frame pointer
17:44:51     INFO -  7  libsystem_pthread.dylib!thread_start + 0xd
17:44:51     INFO -     rbp = 0x0000000117ed5f78   rsp = 0x0000000117ed5f60
17:44:51     INFO -     rip = 0x00007fff8d7e63ed
17:44:51     INFO -     Found by: previous frame's frame pointer
17:44:51     INFO -  8  XUL + 0x6c7750
17:44:51     INFO -     rsp = 0x0000000117ed6030   rip = 0x000000010f9cb750
17:44:51     INFO -     Found by: stack scanning
Severity: normal → critical
Crash Signature: [@ mozalloc_abort(char const*)]
Component: Marionette → NSPR
Keywords: crash
Product: Testing → NSPR
Summary: Intermittent test_end for test_switch_window_chrome.py TestSwitchWindowChrome.test_switch_from_content_to_chrome_window_should_not_change_selected_tab logged while not in progress. Logged with data: {"status": "ERROR", → Intermittent marionette.py | application crashed [@ mozalloc_abort(char const*)]
Version: Version 3 → other

Comment 2

10 months ago
5 failures in 777 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1346577&startday=2017-03-13&endday=2017-03-19&tree=all

Updated

10 months ago
Crash Signature: [@ mozalloc_abort(char const*)] → [@ mozalloc_abort(char const*) | libsystem_pthread.dylib!_pthread_tsd_cleanup]
Summary: Intermittent marionette.py | application crashed [@ mozalloc_abort(char const*)] → Intermittent marionette.py | application crashed [@ mozalloc_abort(char const*) | libsystem_pthread.dylib!_pthread_tsd_cleanup]

Comment 3

10 months ago
11 failures in 845 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 8
* mozilla-inbound: 3

Platform breakdown:
* osx-10-10: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1346577&startday=2017-03-27&endday=2017-04-02&tree=all
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.